Skip to content

Update team

Request

Security
oauth2ClientCredentials(Required scopes: teams:write)
Path
idstringrequired
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
namestringrequired

Team name

emailstring

Team email

phonestring

Team phone

codestring

Team code

limitArray of strings

Spending limits

curl -i -X PUT \
  'https://developer.boyahq.com/_mock/v2/openapi/teams/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "name": "string",
    "email": "string",
    "phone": "string",
    "code": "string",
    "limit": [
      "string"
    ]
  }'

Responses

Team updated successfully

Bodyapplication/json
_idstring

Team MongoDB ID

namestring

Team name

statusstring

Team status (ACTIVE/INACTIVE)

emailstring

Team email

phonestring

Team phone

reviewersArray of objects(TeamReviewerDto)

Team reviewers

codestring

Team code

createdAtstring

Created timestamp

__vnumber

Version key

updatedAtstring

Updated timestamp

updated_bystring

Updated by user ID

alertsArray of objects(TeamAlertDto)

Alert configurations

budgetArray of objects(TeamBudgetDto)

Budget allocations

limitArray of objects(TeamLimitDto)

Spending limits

batching_enabledboolean

Batching enabled flag

employee_countnumber

Number of employees in team

total_balancesArray of objects(TeamBalanceDto)

Total balances by currency

team_walletsArray of objects(TeamWalletDto)

Associated team wallets

employeesArray of objects(EmployeeV1Dto)

Employees in team

idstring

Auto-generated ID

Response
{ "_id": "string", "name": "string", "status": "string", "email": "string", "phone": "string", "reviewers": [ {} ], "code": "string", "createdAt": "string", "__v": 0, "updatedAt": "string", "updated_by": "string", "alerts": [ {} ], "budget": [ {} ], "limit": [ {} ], "batching_enabled": true, "employee_count": 0, "total_balances": [ {} ], "team_wallets": [ {} ], "employees": [ {} ], "id": "string" }